Package ru.bitel.bgbilling.apps.inet.accounting.event

# Class InetConnectionAliveEvent

java.lang.Object
ru.bitel.bgbilling.kernel.base.server.logger.BGLogger
ru.bitel.bgbilling.kernel.event.common.Event
ru.bitel.bgbilling.kernel.event.common.PoolEvent
ru.bitel.bgbilling.apps.inet.accounting.event.InetConnectionAliveEvent

All Implemented Interfaces:
  `Serializable`

public class InetConnectionAliveEvent extends ru.bitel.bgbilling.kernel.event.common.PoolEvent
Событие о том, что сессия жива. Приходит всем серверам, за исключением того, кто его отправил
Генерируется периодически, если настроен worker. Пока нужно только для сессий по трафику.

See Also:
  - Serialized Form

- ## Field Summary

  ### Fields inherited from class ru.bitel.bgbilling.kernel.event.common.Event

  `CONTRACT_GLOBAL, NO_MODULE, NO_PLUGIN`

- ## Constructor Summary

  Constructors
  Modifier
  Constructor
  Description
  `protected`
  `InetConnectionAliveEvent()`
  ``
  `InetConnectionAliveEvent(PoolEventPublisher<?> publisher, int contractId, InetConnection connection)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `InetConnection`
  `getConnection()`
  `void`
  `prepareMessage(javax.jms.Message message)`
  `protected void`
  `toString(StringBuilder sb)`

  ### Methods inherited from class ru.bitel.bgbilling.kernel.event.common.Event

  `getContractId, getDestination, getGenerateTime, getMessageID, getModuleId, getPluginId, getSource, getSuperContractId, getTime, getTimestamp, getTypeId, getUserId, isLogFunctionProcess, serializeAsObject, setLogFunctionProcess, setMessageID, setSource, toString`

  ### Methods inherited from class ru.bitel.bgbilling.kernel.base.server.logger.BGLogger

  `error, error, error, getLogger, logError, logError, warn`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### InetConnectionAliveEvent

    protected InetConnectionAliveEvent()

  - ### InetConnectionAliveEvent

    public InetConnectionAliveEvent(PoolEventPublisher<?> publisher, int contractId, InetConnection connection)

- ## Method Details

  - ### prepareMessage

    public void prepareMessage(javax.jms.Message message) throws javax.jms.JMSException
    Overrides:
      `prepareMessage` in class `ru.bitel.bgbilling.kernel.event.common.Event`
    Throws:
      `javax.jms.JMSException`

  - ### getConnection

    public InetConnection getConnection()

  - ### toString

    protected void toString(StringBuilder sb)
    Overrides:
      `toString` in class `ru.bitel.bgbilling.kernel.event.common.Event`